com.verisign.epp.codec.registry.v02

## Class EPPRegistryPostal

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryPostal

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryPostal
      extends java.lang.Object
      implements EPPCodecComponent

  Represents the postal-address information policy information. The <registry:postalInfo> element contains the following child elements:
  - <registry:locCharRegex> - The OPTIONAL regular expression that represents the character set that can be used for the <contact:postalInfo> localized form (type="loc") element content. The regular expression MUST be applicable to all <contact:postalInfo> element content.
  - <registry:name> - The minimum and maximum length of <contact:name> element defined RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
  - <registry:org> - The minimum and maximum length of the <contact:org> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
  - <registry:address> - The address information policy information.
  - <registry:voiceRequired> - An OPTIONAL boolean flag indicating whether the server requires the <contact:voice> element to be defined, with a default value of "false".
  - <registry:voiceExt> - The OPTIONAL minimum and maximum length of the <contact:voice> extension "x" attribute defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
  - <registry:faxExt> - The OPTIONAL minimum and maximum length of the <contact:fax> extension "x" attribute defined in RFC 5733 [RFC5733] using the <registry:minLength> and <registry:maxLength> child elements, respectively.
  - <registry:emailRegex> - An OPTIONAL <registry:emailRegex> element that defines the regular expression used to validate the <contact:email> element defined in [RFC5733]
  See Also:
    `EPPRegistryContact`, `EPPRegistryContactName`, `EPPRegistryContactOrg`, `EPPRegistryContactAddress`, `EPPRegistryRegex`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_EMAIL_REGEX` XML local name for `emailRegex` attribute.
    `static java.lang.String` | `ELM_FAX_EXT` XML local name for `faxExt` attribute.
    `static java.lang.String` | `ELM_LOC_CHAR_REGEX` XML local name for `locCharRegex` attribute.
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the local name
    `static java.lang.String` | `ELM_NAME` Constant for the prefix and local name
    `static java.lang.String` | `ELM_VOICE_EXT` XML local name for `voiceExt` attribute.
    `static java.lang.String` | `ELM_VOICE_REQUIRED` XML local name for `voiceRequired` attribute.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryPostal()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryPostal`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryPostal` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryPostal` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryPostal` compare.
    `EPPRegistryContactAddress` | `getAddress()` Gets address.
    `EPPRegistryRegex` | `getEmailRegex()` Get info about regular expression used to validate the contact email.
    `EPPRegistryAbstractMinMax` | `getFaxExt()` Gets the optional fax extension minimum and maximum length.
    `EPPRegistryRegex` | `getLocCharRegex()` Gets info about locality "loc" character field regular expression.
    `EPPRegistryContactName` | `getName()` Gets the minimum and maximum length of name.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPRegistryContactOrg` | `getOrg()` Gets the minimum and maximum length of organization.
    `EPPRegistryAbstractMinMax` | `getVoiceExt()` Gets the optional voice extension minimum and maximum length.
    `java.lang.Boolean` | `getVoiceRequired()` Gets voice required flag.
    `boolean` | `hasEmailRegex()` Is the email regular expression defined?
    `boolean` | `hasFaxExt()` Is the fax extension defined?
    `boolean` | `hasLocCharRegex()` Is the locality "loc" character field regular expression defined?
    `boolean` | `hasOrg()` Is the organization "Org" defined?
    `boolean` | `hasVoiceExt()` Is the voice extension defined?
    `boolean` | `hasVoiceRequired()` Is the voice required flag defined?
    `void` | `setAddress(EPPRegistryContactAddress address)` Sets address.
    `void` | `setEmailRegex(EPPRegistryRegex aEmailRegex)` Set info about regular expression used to validate the contact email.
    `void` | `setFaxExt(EPPRegistryMinMaxLength aFaxExt)` Sets the optional fax extension minimum and maximum length.
    `void` | `setLocCharRegex(EPPRegistryRegex aLocCharRegex)` Sets info about locality "loc" character field regular expression.
    `void` | `setName(EPPRegistryContactName name)` Sets the minimum and maximum length of name.
    `void` | `setOrg(EPPRegistryContactOrg org)` Sets the minimum and maximum length of organization.
    `void` | `setVoiceExt(EPPRegistryMinMaxLength aVoiceExt)` Sets the optional voice extension minimum and maximum length.
    `void` | `setVoiceRequired(java.lang.Boolean voiceRequired)` Sets voice required flag.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the prefix and local name
      See Also:
        Constant Field Values

    - #### ELM_LOC_CHAR_REGEX

          public static final java.lang.String ELM_LOC_CHAR_REGEX

      XML local name for `locCharRegex` attribute.
      See Also:
        Constant Field Values

    - #### ELM_VOICE_REQUIRED

          public static final java.lang.String ELM_VOICE_REQUIRED

      XML local name for `voiceRequired` attribute.
      See Also:
        Constant Field Values

    - #### ELM_EMAIL_REGEX

          public static final java.lang.String ELM_EMAIL_REGEX

      XML local name for `emailRegex` attribute.
      See Also:
        Constant Field Values

    - #### ELM_VOICE_EXT

          public static final java.lang.String ELM_VOICE_EXT

      XML local name for `voiceExt` attribute.
      See Also:
        Constant Field Values

    - #### ELM_FAX_EXT

          public static final java.lang.String ELM_FAX_EXT

      XML local name for `faxExt` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryPostal

          public EPPRegistryPostal()

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryPostal` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryPostal` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryPostal` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryPostal` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryPostal` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryPostal`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryPostal`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryPostal` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryPostal` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### hasLocCharRegex

          public boolean hasLocCharRegex()

      Is the locality "loc" character field regular expression defined?
      Returns:
        `true` if the locality character field regular expression is defined; `false` otherwise.

    - #### getLocCharRegex

          public EPPRegistryRegex getLocCharRegex()

      Gets info about locality "loc" character field regular expression.
      Returns:
        instance of `EPPRegistryRegex` that specifies regular expression used for the locality "loc" fields if defined; `null` otherwise.

    - #### setLocCharRegex

          public void setLocCharRegex(EPPRegistryRegex aLocCharRegex)

      Sets info about locality "loc" character field regular expression.
      Parameters:
        `aLocCharRegex` - instance of `EPPRegistryRegex` that specifies regular expression used for the locality "loc" fields.

    - #### getName

          public EPPRegistryContactName getName()

      Gets the minimum and maximum length of name.
      Returns:
        `EPPRegistryContactName` instance that contains min/max length of contact name

    - #### setName

          public void setName(EPPRegistryContactName name)

      Sets the minimum and maximum length of name.
      Parameters:
        `name` - `EPPRegistryContactName` instance that contains min/max length of contact name

    - #### hasOrg

          public boolean hasOrg()

      Is the organization "Org" defined?
      Returns:
        `true` if the organization "Org" is defined; `false` otherwise.

    - #### getOrg

          public EPPRegistryContactOrg getOrg()

      Gets the minimum and maximum length of organization.
      Returns:
        `EPPRegistryContactOrg` instance that contains min/max length of contact organization

    - #### setOrg

          public void setOrg(EPPRegistryContactOrg org)

      Sets the minimum and maximum length of organization.
      Parameters:
        `org` - `EPPRegistryContactOrg` instance that contains min/max length of contact organization

    - #### getAddress

          public EPPRegistryContactAddress getAddress()

      Gets address.
      Returns:
        `EPPRegistryContactAddress` instance that contains contact address attributes

    - #### setAddress

          public void setAddress(EPPRegistryContactAddress address)

      Sets address.
      Parameters:
        `address` - `EPPRegistryContactAddress` instance that contains contact address attributes

    - #### hasVoiceRequired

          public boolean hasVoiceRequired()

      Is the voice required flag defined?
      Returns:
        `true` if the voice required flag is defined; `false` otherwise.

    - #### getVoiceRequired

          public java.lang.Boolean getVoiceRequired()

      Gets voice required flag.
      Returns:
        `true` if voice is required. `false` otherwise.

    - #### setVoiceRequired

          public void setVoiceRequired(java.lang.Boolean voiceRequired)

      Sets voice required flag.
      Parameters:
        `voiceRequired` - `true` if voice is required. `false` otherwise.

    - #### hasVoiceExt

          public boolean hasVoiceExt()

      Is the voice extension defined?
      Returns:
        `true` if the voice extension is defined; `false` otherwise.

    - #### getVoiceExt

          public EPPRegistryAbstractMinMax getVoiceExt()

      Gets the optional voice extension minimum and maximum length.
      Returns:
        `EPPRegistryMinMaxLength` instance containing the minimum and maximum length if defined; `null` otherise.

    - #### setVoiceExt

          public void setVoiceExt(EPPRegistryMinMaxLength aVoiceExt)

      Sets the optional voice extension minimum and maximum length.
      Parameters:
        `aVoiceExt` - `EPPRegistryMinMaxLength` instance containing the minimum and maximum length.

    - #### hasFaxExt

          public boolean hasFaxExt()

      Is the fax extension defined?
      Returns:
        `true` if the fax extension is defined; `false` otherwise.

    - #### getFaxExt

          public EPPRegistryAbstractMinMax getFaxExt()

      Gets the optional fax extension minimum and maximum length.
      Returns:
        `EPPRegistryMinMaxLength` instance containing the minimum and maximum length if defined; `null` otherise.

    - #### setFaxExt

          public void setFaxExt(EPPRegistryMinMaxLength aFaxExt)

      Sets the optional fax extension minimum and maximum length.
      Parameters:
        `aFaxExt` - `EPPRegistryMinMaxLength` instance containing the minimum and maximum length.

    - #### hasEmailRegex

          public boolean hasEmailRegex()

      Is the email regular expression defined?
      Returns:
        `true` if the email regular expression is defined; `false` otherwise.

    - #### getEmailRegex

          public EPPRegistryRegex getEmailRegex()

      Get info about regular expression used to validate the contact email.
      Returns:
        instance of `EPPRegistryRegex` that specifies regular expression used to validate the email if defined; `null` otherwise.

    - #### setEmailRegex

          public void setEmailRegex(EPPRegistryRegex aEmailRegex)

      Set info about regular expression used to validate the contact email.
      Parameters:
        `aEmailRegex` - instance of `EPPRegistryRegex` that specifies regular expression used to validate the contact email.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.